ผู้จัดการการแจ้งเตือน
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ตัวเลือก แรง | ลวดค้นหา |
| search_by | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาตคือ: name. |
| is_enabled | ตัวเลือก บอลเลน | |
| type | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาตคือ: . |
| datetime_field | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: datetime, last_datetime |
| datetime_start | ตัวเลือก แรง | การกรองผลเริ่มต้นจากวันที่นี้ Y-m-d H:i:s รูปแบบ |
| datetime_end | ตัวเลือก แรง | กรองผลให้ถึงวันที่นี้ Y-m-d H:i:s รูปแบบ |
| order_by | ตัวเลือก แรง | ตารางที่ให้ผลลัพธ์โดย. หมายเลขที่ได้รับอนุญาตคือ: notification_handler_id, datetime, last_datetime, name. |
| order_type | ตัวเลือก แรง | การสั่งซื้อของผลลัพธ์ หมายเลขที่ได้รับอนุญาตคือ: ASC สําหรับคําสั่งที่สูงขึ้นและ DESC สําหรับคําสั่งซื้อที่ลง |
| search | ตัวเลือก แรง | ลวดค้นหา |
| search_by | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาตคือ: name. |
| is_enabled | ตัวเลือก บอลเลน | |
| type | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาตคือ: . |
| datetime_field | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: datetime, last_datetime |
| datetime_start | ตัวเลือก แรง | การกรองผลเริ่มต้นจากวันที่นี้ Y-m-d H:i:s รูปแบบ |
| datetime_end | ตัวเลือก แรง | กรองผลให้ถึงวันที่นี้ Y-m-d H:i:s รูปแบบ |
| order_by | ตัวเลือก แรง | ตารางที่ให้ผลลัพธ์โดย. หมายเลขที่ได้รับอนุญาตคือ: notification_handler_id, datetime, last_datetime, name. |
| order_type | ตัวเลือก แรง | การสั่งซื้อของผลลัพธ์ หมายเลขที่ได้รับอนุญาตคือ: ASC สําหรับคําสั่งที่สูงขึ้นและ DESC สําหรับคําสั่งซื้อที่ลง |
| page | ตัวเลือก ภายใน | หมายเลขหน้าที่คุณต้องการผลลัพธ์จาก. ข้อผิดพลาดในการ 1. |
| results_per_page | ตัวเลือก ภายใน | จํานวนผลที่คุณต้องการต่อหน้า หมายเลขที่ได้รับอนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000. ข้อผิดพลาดของ 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:14",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:14",
}
}
POST https://0o0.online/api/notification-handlers
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | จำเป็น แรง | - |
| type | จำเป็น แรง | หมายเลขที่ได้รับอนุญาต: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| name | ตัวเลือก แรง | - |
| type | ตัวเลือก แรง | หมายเลขที่ได้รับอนุญาต: |
| is_enabled | ตัวเลือก บอลเลน | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \